"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBouncer = exports.combineOr = exports.combineAnd = void 0;
const combineAnd = (...args) => {
    let result = true;
    return async (source) => {
        for (let i = 0; i < args.length; i++) {
            const elm = args[i];
            if (typeof elm === "function") {
                result = result && (await elm(source));
            }
        }
        return result;
    };
};
exports.combineAnd = combineAnd;
const combineOr = (...args) => {
    let result = true;
    return async (source) => {
        for (let i = 0; i < args.length; i++) {
            const elm = args[i];
            if (typeof elm === "function") {
                result = result || (await elm(source));
            }
        }
        return result;
    };
};
exports.combineOr = combineOr;
function createBouncer(actions) {
    let handlers = actions;
    const cani = (key) => handlers[key];
    return cani;
}
exports.createBouncer = createBouncer;
